com.jscape.util.workflow

## Class ConstantExpression

- java.lang.Object
- - com.jscape.util.functor.UnaryFunction<ExpressionContext,java.lang.Object>
  - - com.jscape.util.workflow.ConstantExpression

- All Implemented Interfaces:
    java.io.Serializable

      public class ConstantExpression
      extends com.jscape.util.functor.UnaryFunction<ExpressionContext,java.lang.Object>

  Constant expression.
  Author:
    Alex
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jscape.util.functor.UnaryFunction

      `com.jscape.util.functor.UnaryFunction.Chain<T,R,U>, com.jscape.util.functor.UnaryFunction.Constant<T,U>, com.jscape.util.functor.UnaryFunction.Evaluator<V,R>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantExpression()` Creates a new expression instance.
    `ConstantExpression(java.lang.Object value)` Creates a new expression instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(ExpressionContext context)`
    `java.lang.Object` | `getValue()` Returns expression value.
    `void` | `setValue(java.lang.Object value)` Sets expression value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.util.functor.UnaryFunction

      `constant, then`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantExpression

          public ConstantExpression(java.lang.Object value)

      Creates a new expression instance.
      Parameters:
        `value` - an expression value

    - #### ConstantExpression

          public ConstantExpression()

      Creates a new expression instance.

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Returns expression value.
      Returns:
        expression value

    - #### setValue

          public void setValue(java.lang.Object value)

      Sets expression value.
      Parameters:
        `value` - the expression value

    - #### evaluate

          public java.lang.Object evaluate(ExpressionContext context)

      Specified by:
        `evaluate` in class `com.jscape.util.functor.UnaryFunction<ExpressionContext,java.lang.Object>`
      Parameters:
        `context` - value
      Returns:
        R instance

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved